<p>Alumno</p>

<button (click)="onClickActivar()">
  <div [ngSwitch]="activo">
    <p *ngSwitchCase="true">Ocultar</p>
    <p *ngSwitchCase="false">Mostar</p>
  </div>
</button>
<div *ngIf="activo">
  <ul>
    <li *ngFor="let a of alumnos">{{a}}</li>
  </ul>
</div>

